zenilib: TT_LoaderRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
TT_LoaderRec_ Struct Reference

`#include <tttypes.h>`

## Public Attributes

FT_Int | advance
TT_GlyphZoneRec | base
FT_BBox | bbox
FT_Int | byte_len
FT_Byte * | cursor
TT_ExecContext | exec
FT_Face | face
FT_GlyphLoader | gloader
FT_ULong | glyf_offset
FT_GlyphSlot | glyph
FT_UInt | glyph_index
FT_ULong | ins_pos
FT_Byte * | instructions
FT_Int | left_bearing
FT_Byte * | limit
FT_Int | linear
FT_Bool | linear_def
FT_ULong | load_flags
FT_Short | n_contours
void * | other
FT_Vector | pp1
FT_Vector | pp2
FT_Vector | pp3
FT_Vector | pp4
FT_Bool | preserve_pps
FT_Size | size
FT_Stream | stream
FT_Int | top_bearing
FT_Int | vadvance
TT_GlyphZoneRec | zone

## Detailed Description

Definition at line 1489 of file tttypes.h.

## Member Data Documentation

FT_Int TT_LoaderRec_::advance

Definition at line 1505 of file tttypes.h.

Referenced by tt_get_metrics().

TT_GlyphZoneRec TT_LoaderRec_::base

Definition at line 1515 of file tttypes.h.

FT_BBox TT_LoaderRec_::bbox

Definition at line 1503 of file tttypes.h.

Referenced by compute_glyph_metrics(), load_truetype_glyph(), and TT_Load_Glyph().

FT_Int TT_LoaderRec_::byte_len

Definition at line 1500 of file tttypes.h.

Referenced by load_truetype_glyph(), and TT_Process_Composite_Glyph().

FT_Byte* TT_LoaderRec_::cursor

Definition at line 1532 of file tttypes.h.

TT_ExecContext TT_LoaderRec_::exec

Definition at line 1518 of file tttypes.h.

Referenced by TT_Hint_Glyph(), TT_Load_Glyph(), tt_loader_init(), and TT_Process_Composite_Glyph().

FT_Face TT_LoaderRec_::face

Definition at line 1491 of file tttypes.h.

Referenced by compute_glyph_metrics(), load_truetype_glyph(), tt_get_metrics(), tt_loader_init(), TT_Process_Composite_Glyph(), and TT_Process_Simple_Glyph().

FT_GlyphLoader TT_LoaderRec_::gloader

Definition at line 1494 of file tttypes.h.

Referenced by load_truetype_glyph(), TT_Hint_Glyph(), TT_Load_Glyph(), tt_loader_init(), TT_Process_Composite_Component(), TT_Process_Composite_Glyph(), and TT_Process_Simple_Glyph().

FT_ULong TT_LoaderRec_::glyf_offset

Definition at line 1512 of file tttypes.h.

Referenced by load_truetype_glyph(), and tt_loader_init().

FT_GlyphSlot TT_LoaderRec_::glyph

Definition at line 1493 of file tttypes.h.

Referenced by compute_glyph_metrics(), load_truetype_glyph(), TT_Hint_Glyph(), tt_loader_init(), and TT_Process_Composite_Glyph().

FT_UInt TT_LoaderRec_::glyph_index

Definition at line 1497 of file tttypes.h.

Referenced by load_truetype_glyph(), and TT_Process_Simple_Glyph().

FT_ULong TT_LoaderRec_::ins_pos

Definition at line 1520 of file tttypes.h.

Referenced by load_truetype_glyph(), and TT_Process_Composite_Glyph().

FT_Byte* TT_LoaderRec_::instructions

Definition at line 1519 of file tttypes.h.

Referenced by tt_loader_init().

FT_Int TT_LoaderRec_::left_bearing

Definition at line 1504 of file tttypes.h.

Referenced by tt_get_metrics().

FT_Byte* TT_LoaderRec_::limit

Definition at line 1533 of file tttypes.h.

FT_Int TT_LoaderRec_::linear

Definition at line 1506 of file tttypes.h.

Referenced by compute_glyph_metrics(), tt_get_metrics(), and TT_Load_Glyph().

FT_Bool TT_LoaderRec_::linear_def

Definition at line 1507 of file tttypes.h.

Referenced by tt_get_metrics().

FT_ULong TT_LoaderRec_::load_flags

Definition at line 1496 of file tttypes.h.

Referenced by compute_glyph_metrics(), load_truetype_glyph(), TT_Hint_Glyph(), tt_loader_init(), TT_Process_Composite_Component(), and TT_Process_Simple_Glyph().

FT_Short TT_LoaderRec_::n_contours

Definition at line 1502 of file tttypes.h.

Referenced by load_truetype_glyph().

void* TT_LoaderRec_::other

Definition at line 1523 of file tttypes.h.

FT_Vector TT_LoaderRec_::pp1

Definition at line 1509 of file tttypes.h.

Referenced by compute_glyph_metrics(), load_truetype_glyph(), TT_Hint_Glyph(), TT_Load_Glyph(), TT_Process_Composite_Glyph(), and TT_Process_Simple_Glyph().

FT_Vector TT_LoaderRec_::pp2

Definition at line 1510 of file tttypes.h.

Referenced by compute_glyph_metrics(), load_truetype_glyph(), TT_Hint_Glyph(), TT_Process_Composite_Glyph(), and TT_Process_Simple_Glyph().

FT_Vector TT_LoaderRec_::pp3

Definition at line 1528 of file tttypes.h.

Referenced by compute_glyph_metrics(), load_truetype_glyph(), TT_Hint_Glyph(), TT_Process_Composite_Glyph(), and TT_Process_Simple_Glyph().

FT_Vector TT_LoaderRec_::pp4

Definition at line 1529 of file tttypes.h.

Referenced by compute_glyph_metrics(), load_truetype_glyph(), TT_Hint_Glyph(), TT_Process_Composite_Glyph(), and TT_Process_Simple_Glyph().

FT_Bool TT_LoaderRec_::preserve_pps

Definition at line 1508 of file tttypes.h.

Referenced by TT_Hint_Glyph().

FT_Size TT_LoaderRec_::size

Definition at line 1492 of file tttypes.h.

Referenced by compute_glyph_metrics(), load_truetype_glyph(), TT_Hint_Glyph(), tt_loader_init(), TT_Process_Composite_Component(), and TT_Process_Simple_Glyph().

FT_Stream TT_LoaderRec_::stream

Definition at line 1499 of file tttypes.h.

Referenced by load_truetype_glyph(), tt_loader_init(), and TT_Process_Composite_Glyph().

FT_Int TT_LoaderRec_::top_bearing

Definition at line 1526 of file tttypes.h.

Referenced by tt_get_metrics(), and TT_Load_Glyph().

FT_Int TT_LoaderRec_::vadvance

Definition at line 1527 of file tttypes.h.

Referenced by tt_get_metrics(), and TT_Load_Glyph().

TT_GlyphZoneRec TT_LoaderRec_::zone

Definition at line 1516 of file tttypes.h.

Referenced by TT_Hint_Glyph(), TT_Process_Composite_Glyph(), and TT_Process_Simple_Glyph().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/internal/tttypes.h